dnglab-makedng(1)

NAME
dnglab-makedng - Lowlevel command to make a DNG file

SYNOPSIS
dnglab-makedng [-o|--output] [--map] [--dng-backward-version] [--colorimetric-reference] [--unique-camera-model] [--artist] [--make] [--model] [--matrix1] [--matrix2] [--matrix3] [--illuminant1] [--illuminant2] [--illuminant3] [--linearization] [--wb] [--white-xy] [-f|--override] [-h|--help] <-i|--input>

DESCRIPTION
Lowlevel command to make a DNG file

OPTIONS

-o, --output <OUTPUT>
    Output DNG file path

-i, --input <INPUT>...
    Input files to merge into a single DNG file. Usually only a single input file is used. If multiple input files are given, --map should be used to specifiy how to interpret each intput file.

--map <map>... [default: 0:raw,0:preview,0:thumbnail,0:exif,0:xmp]
    When multiple input files given, each input file should be mapped to a specific type of data. First input file starts with index 0. Possible types are 'raw', 'preview', 'thumbnail', 'exif', 'xmp'. Input files which are not mapped are ignored.

--dng-backward-version <version> [default: 1.4]
    DNG specification version
    Possible values:

    •   1.0

    •   1.1

    •   1.2

    •   1.3

    •   1.4

    •   1.5

    •   1.6

--colorimetric-reference <reference> [default: scene]
    Reference for XYZ values
    Possible values:

    •   scene

    •   output

--unique-camera-model <id>
    Unique camera model

--artist <artist>
    Set the Artist tag

--make <make>
    Set the Make tag

--model <model>
    Set the Model tag

--matrix1 <MATRIX>
    Matrix 1
    Possible values:

    •   XYZ_sRGB_D50

    •   XYZ_sRGB_D65

    •   XYZ_AdobeRGB_D50

    •   XYZ_AdobeRGB_D65

    •   custom 3x3 matrix (comma seperated)

--matrix2 <MATRIX>
    Matrix 2
    Possible values:

    •   XYZ_sRGB_D50

    •   XYZ_sRGB_D65

    •   XYZ_AdobeRGB_D50

    •   XYZ_AdobeRGB_D65

    •   custom 3x3 matrix (comma seperated)

--matrix3 <MATRIX>
    Matrix 3
    Possible values:

    •   XYZ_sRGB_D50

    •   XYZ_sRGB_D65

    •   XYZ_AdobeRGB_D50

    •   XYZ_AdobeRGB_D65

    •   custom 3x3 matrix (comma seperated)

--illuminant1 <ILLUMINANT>
    Illuminant 1
    Possible values:

    •   Unknown

    •   A

    •   B

    •   C

    •   D50

    •   D55

    •   D65

    •   D75

--illuminant2 <ILLUMINANT>
    Illuminant 2
    Possible values:

    •   Unknown

    •   A

    •   B

    •   C

    •   D50

    •   D55

    •   D65

    •   D75

--illuminant3 <ILLUMINANT>
    Illuminant 3
    Possible values:

    •   Unknown

    •   A

    •   B

    •   C

    •   D50

    •   D55

    •   D65

    •   D75

--linearization <TABLE>
    Linearization table
    Possible values:

    •   8bit_sRGB

    •   8bit_sRGB_invert

    •   16bit_sRGB

    •   16bit_sRGB_invert

    •   8bit_gamma1.8

    •   8bit_gamma1.8_invert

    •   8bit_gamma2.0

    •   8bit_gamma2.0_invert

    •   8bit_gamma2.2

    •   8bit_gamma2.2_invert

    •   8bit_gamma2.4

    •   8bit_gamma2.4_invert

    •   16bit_gamma1.8

    •   16bit_gamma1.8_invert

    •   16bit_gamma2.0

    •   16bit_gamma2.0_invert

    •   16bit_gamma2.2

    •   16bit_gamma2.2_invert

    •   16bit_gamma2.4

    •   16bit_gamma2.4_invert

    •   custom table (comma seperated)

--wb <R,G,B>
    Whitebalance as-shot

--white-xy <x,y>
    Whitebalance as-shot encoded as xy chromaticity coordinates
    Possible values:

    •   D50

    •   D65

    •   custom x,y value (comma seperated)

-f, --override
    Override existing files

-h, --help
    Print help (see a summary with '-h')